GET /v4/paymentaudit/payouts/{payoutId}

velopayments.com

Summary: Get Payments for Payout
Operation ID: getPaymentsForPayoutV4
Auth: unknown
Description

Get List of payments for Payout, allowing for RETURNED status

Parameters (16)

page (integer, query, optional, default: 1)

Page number. Default is 1.

pageSize (integer, query, optional, default: 25)

The number of results to return in a page

Constraints: {'minimum': 1, 'maximum': 100}

paymentAmountFrom (integer, query, optional)

The payment amount from range filter. Filters for paymentAmount >= paymentAmountFrom

paymentAmountTo (integer, query, optional)

The payment amount to range filter. Filters for paymentAmount ⇐ paymentAmountTo

payoutId (string, path, required)

The id (UUID) of the payout.

railsId (string, query, optional)

Payout Rails ID filter - case insensitive match. Any value is allowed, but you should use one of the supported railsId values. To get this list of values, you should call the 'Get Supported Rails' endpoint.

remoteId (string, query, optional)

The remote id of the payees.

remoteSystemId (string, query, optional)

The id of the remote system that is orchestrating payments

sensitive (boolean, query, optional)

Optional. If omitted or set to false, any Personal Identifiable Information (PII) values are returned masked. If set to true, and you have permission, the PII values will be returned as their original unmasked values.

sort (string, query, optional)

List of sort fields (e.g. ?sort=submittedDateTime:asc,status:asc). Default is sort by remoteId The supported sort fields are: sourceAmount, sourceCurrency, paymentAmount, paymentCurrency, routingNumber, accountNumber, remoteId, submittedDateTime and status

sourceAmountFrom (integer, query, optional)

The source amount from range filter. Filters for sourceAmount >= sourceAmountFrom

sourceAmountTo (integer, query, optional)

The source amount to range filter. Filters for sourceAmount ⇐ sourceAmountTo

status (string, query, optional)

Payment Status

Constraints: {'enum': ['ACCEPTED', 'AWAITING_FUNDS', 'FUNDED', 'UNFUNDED', 'BANK_PAYMENT_REQUESTED', 'REJECTED', 'ACCEPTED_BY_RAILS', 'CONFIRMED', 'FAILED', 'RETURNED', 'WITHDRAWN']}

submittedDateFrom (string, query, optional)

The submitted date from range filter. Format is yyyy-MM-dd.

submittedDateTo (string, query, optional)

The submitted date to range filter. Format is yyyy-MM-dd.

transmissionType (string, query, optional)

Transmission Type * ACH * SAME_DAY_ACH * WIRE * GACHO

Constraints: {'enum': ['ACH', 'SAME_DAY_ACH', 'WIRE', 'LOCAL', 'GACHO']}

No probe data for this endpoint yet.